## pbseqlib 0~20151014+gitbe5d1bf

=== unittest/hdf/Makefile ===
include ../../rules.mk
include ../defines.mk

SOURCES    = $(wildcard *.cpp) 
OBJECTS    = $(SOURCES:.cpp=.o)

EXE := test-runner

all debug profile: $(EXE)

libpbihdf_gtest.a: $(OBJECTS)
	$(AR) $(ARFLAGS)c $@ $^

$(EXE): $(OBJECTS)
	$(CXX) $(CXXOPTS) $(CXXFLAGS) $^ $(GTEST_SRC) -o $@ -I$(GTEST_ROOT) $(LIBDIRS) $(LDFLAGS)

$(OBJECTS): %.o: %.cpp
	$(CXX) $(CXXOPTS) $(CXXFLAGS) -c $< -o $@ $(INCDIRS)

gtest: $(EXE)
	./$< --gtest_output=xml:../xml/hdf.xml

clean:
	@find . -type f -name \*.o -delete
	@find . -type f -name \*.d -delete
	@rm -f libpbihdf_gtest.a $(EXE) ../xml/hdf.xml

=== debian/changelog ===
pbseqlib (0~20151014+gitbe5d1bf-2) unstable; urgency=medium

  * Add package interdependencies.
  * Correct the dependencies of libpbseq-dev
  * Set up some build-time tests
  * Fix build on 32-bit architectures (Closes: #807583)
  * Drop symlinks from -dev packages

 -- Afif Elghraoui <afif@ghraoui.name>  Sun, 13 Dec 2015 19:37:03 -0800

pbseqlib (0~20151014+gitbe5d1bf-1) unstable; urgency=medium

  * Initial release (Closes: #798218)

 -- Afif Elghraoui <afif@ghraoui.name>  Mon, 16 Nov 2015 21:51:07 -0800

=== debian/control ===
Source: pbseqlib
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@ghraoui.name>
Build-Depends:
	debhelper (>= 9),
	python,
	zlib1g-dev,
	libhdf5-dev,
	libboost-dev,
#	libpbbam-dev,
	libhts-dev,
# Test-Depends:
	libgtest-dev,
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/PacificBiosciences/blasr_libcpp
Vcs-Git: git://anonscm.debian.org/debian-med/pbseqlib.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/pbseqlib.git

Package: libpbseq
Section: metapackages
Architecture: all
Depends:
	${misc:Depends},
	libpbdata (>= ${source:Version}),
	libpbihdf (>= ${source:Version}),
	libblasr  (>= ${source:Version})
Description: library for analyzing PacBio sequencing data
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This is a metapackage that depends on the pbseqlib component shared libraries.

Package: libpbseq-dev
Section: libdevel
Architecture: all
Depends:
	${misc:Depends},
	libpbdata-dev (>= ${source:Version}),
	libpbihdf-dev (>= ${source:Version}),
	libblasr-dev  (>= ${source:Version})
Description: library for analyzing PacBio sequencing data (development files)
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This is a metapackage that depends on the pbseqlib component development files.

Package: libpbdata-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
	libpbdata (= ${binary:Version}),
	${misc:Depends}
Description: tools for handling PacBio sequences (development files)
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the header files and static library for the pbdata
 sublibrary.

Package: libpbdata
Architecture: any
Multi-Arch: same
Depends:
	${shlibs:Depends},
	${misc:Depends}
Description: tools for handling PacBio sequences
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the pbdata sublibrary.

Package: libpbihdf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
	libpbihdf (= ${binary:Version}),
	${misc:Depends}
Description: tools for handling PacBio hdf5 files (development files)
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the header files and static library for the hdf
 sublibrary.

Package: libpbihdf
Architecture: any
Multi-Arch: same
Depends:
	${shlibs:Depends},
	${misc:Depends},
	libpbdata (= ${binary:Version}),
Description: tools for handling PacBio hdf5 files
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the hdf sublibrary.

Package: libblasr-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
	libblasr (= ${binary:Version}),
	${misc:Depends}
Description: tools for aligning PacBio reads to target sequences (development files)
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the header files and static library for the alignment
 sublibrary.

Package: libblasr
Architecture: any
Multi-Arch: same
Depends:
	${shlibs:Depends},
	${misc:Depends},
	libpbdata (= ${binary:Version}),
	libpbihdf (= ${binary:Version}),
Description: tools for aligning PacBio reads to target sequences
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the alignment sublibrary.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export NOPBBAM = 1
export HDF5_INC = /usr/include/hdf5/serial
export HDF5_LIB = /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
export GTEST_INC = /usr/include
export GTEST_SRCDIR = /usr/src/gtest

%:
	dh $@ --parallel

override_dh_auto_configure:
	./configure.py PREFIX=/usr/

override_dh_auto_test:
# Ignore the return code because some tests
# require data that is not available in the source distribution.
	-$(MAKE) -k gtest

override_dh_auto_install:
	mkdir -p debian/libpbdata-dev/usr/include/pbdata
	cp -r pbdata/* debian/libpbdata-dev/usr/include/pbdata
	mkdir -p debian/libpbihdf-dev/usr/include/pbihdf
	cp -r hdf/* debian/libpbihdf-dev/usr/include/pbihdf
	mkdir -p debian/libblasr-dev/usr/include/blasr
	cp -r alignment/* debian/libblasr-dev/usr/include/blasr
	find -L debian/*/usr/include/ -type f -regextype posix-egrep -not -regex '.*(hpp|h)$$' -delete
# defines.mk and build.mk files are symlinks and don't
# get removed by the previous command
	find debian/*/usr/include/ -name "*.mk" -delete
## Handle shared and static libraries
	for library in debian/lib*.install.in;				\
	do								\
		sed 's/@MULTIARCH@/$(DEB_HOST_MULTIARCH)/g'		\
		    $$library > debian/$$(basename $$library .in);	\
	done
	dh_auto_install

override_dh_auto_clean:
	dh_auto_clean
	$(RM)					\
		debian/libpbdata*.install	\
		debian/libpbihdf*.install	\
		debian/libblasr*.install

## pbseqlib 0~20160705

=== debian/changelog ===
pbseqlib (0~20160705-1) unstable; urgency=medium

  * Imported Upstream version 0~20160705
    (upstream git 0ae1691)
    - Drop patches
    - Fix "clean" target
  * Move header files to avoid breaking relative paths
  * Bump Standards-Version to 3.9.8
  * Don't put libpbseq in Metapackages section
  * Use encrypted protocols for VCS
  * Update email address and copyright years
  * Use O3 optimization
  * Use dh-exec to handle library installation
  * Install libraries to main ldpath and add ld triggers
  * Remove unnecessary definition in d/rules
  * Remove obsolete lintian overrides
  * Add README.source to explain relationship with reverse-dependencies

 -- Afif Elghraoui <afif@debian.org>  Sun, 23 Oct 2016 18:17:42 -0700

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: pbseqlib
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Afif Elghraoui <afif@ghraoui.name>
+Uploaders: Afif Elghraoui <afif@debian.org>
 Build-Depends:
 	debhelper (>= 9),
+	dh-exec,
 	python,
 	zlib1g-dev,
 	libhdf5-dev,
@@ -12,14 +13,13 @@
 	libhts-dev,
 # Test-Depends:
 	libgtest-dev,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: libs
 Homepage: https://github.com/PacificBiosciences/blasr_libcpp
-Vcs-Git: git://anonscm.debian.org/debian-med/pbseqlib.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/pbseqlib.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/pbseqlib.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/pbseqlib.git
 
 Package: libpbseq
-Section: metapackages
 Architecture: all
 Depends:
 	${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
include /usr/share/dpkg/default.mk

export NOPBBAM = 1
export HDF5_INC = /usr/include/hdf5/serial
export HDF5_LIB = /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
export GTEST_INC = /usr/include
export GTEST_SRCDIR = /usr/src/gtest

export DEB_CFLAGS_MAINT_APPEND=-O3
export DEB_CXXFLAGS_MAINT_APPEND=-O3

%:
	dh $@ --parallel

override_dh_auto_configure:
	./configure.py PREFIX=/usr/

override_dh_auto_test:
# Ignore the return code because some tests
# require data that is not available in the source distribution.
	-$(MAKE) -k gtest

override_dh_auto_install:
	mkdir -p debian/libpbdata-dev/usr/include/pbseq
	cp -r pbdata debian/libpbdata-dev/usr/include/pbseq/
	mkdir -p debian/libpbihdf-dev/usr/include/pbseq/
	cp -r hdf debian/libpbihdf-dev/usr/include/pbseq/
	mkdir -p debian/libblasr-dev/usr/include/pbseq/
	cp -r alignment debian/libblasr-dev/usr/include/pbseq/
	find -L debian/*/usr/include/ -type f -regextype posix-egrep -not -regex '.*(hpp|h)$$' -delete
# defines.mk and build.mk files are symlinks and don't
# get removed by the previous command
	find debian/*/usr/include/ -name "*.mk" -delete
	dh_auto_install

override_dh_auto_clean:
	dh_auto_clean
	find -name defines.mk -delete
	$(RM) pbdata/libconfig.h

## pbseqlib 0~20161219

=== unittest/pbdata/Makefile ===
include ../../rules.mk
include ../defines.mk

SOURCES    = $(wildcard *.cpp) \
		     $(wildcard utils/*.cpp) \
		     $(wildcard metagenome/*.cpp) \
		     $(wildcard saf/*.cpp) \
		     $(wildcard reads/*.cpp) \
		     $(wildcard qvs/*.cpp) 
OBJECTS    = $(SOURCES:.cpp=.o)

EXE := test-runner

all debug profile: $(EXE)

libpbdata_gtest.a: $(OBJECTS)
	$(AR) $(ARFLAGS)c $@ $^

$(EXE): $(OBJECTS)
	$(CXX) $(CXXOPTS) $(CXXFLAGS) $^ $(GTEST_SRC) -o $@ -I$(GTEST_ROOT) $(LIBDIRS) $(LDFLAGS)

$(OBJECTS): %.o: %.cpp
	$(CXX) $(CXXOPTS) $(CXXFLAGS) -c $< -o $@ $(INCDIRS)

gtest: $(EXE)
	./$< --gtest_output=xml:../xml/pbdata.xml

clean:
	@find . -type f -name \*.o -delete
	@find . -type f -name \*.d -delete
	@rm -f libpbdata_gtest.a $(EXE) ../xml/pbdata.xml

=== debian/changelog ===
pbseqlib (0~20161219-2) unstable; urgency=medium

  * Add support for HDF5 1.10.1
    Thanks to Gilles Filippini for the patches (Closes: #880805)
  * Bump Standards-Version to 4.1.1
  * Update copyright year
  * Handle nocheck build profile

 -- Afif Elghraoui <afif@debian.org>  Thu, 09 Nov 2017 22:48:55 -0500

pbseqlib (0~20161219-1) unstable; urgency=medium

  * Imported Upstream version 0~20161219
    (upstream git 61c6ab0)
  * Update to debhelper compat 10

 -- Afif Elghraoui <afif@debian.org>  Tue, 20 Dec 2016 00:55:41 -0800

pbseqlib (0~20160705-2) unstable; urgency=medium

  * Build with pbbam

 -- Afif Elghraoui <afif@debian.org>  Sat, 17 Dec 2016 23:08:34 -0800

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,16 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Afif Elghraoui <afif@debian.org>
 Build-Depends:
-	debhelper (>= 9),
+	debhelper (>= 10),
 	dh-exec,
 	python,
 	zlib1g-dev,
 	libhdf5-dev,
 	libboost-dev,
-#	libpbbam-dev,
+	libpbbam-dev,
 	libhts-dev,
-# Test-Depends:
-	libgtest-dev,
-Standards-Version: 3.9.8
+	libgtest-dev <!nocheck>,
+Standards-Version: 4.1.1
 Section: libs
 Homepage: https://github.com/PacificBiosciences/blasr_libcpp
 Vcs-Git: https://anonscm.debian.org/git/debian-med/pbseqlib.git
@@ -68,7 +67,8 @@
 Multi-Arch: same
 Depends:
 	${shlibs:Depends},
-	${misc:Depends}
+	${misc:Depends},
+	libpbbam,
 Description: tools for handling PacBio sequences
  Blasr_libcpp is a library used by blasr and other executables such as
  samtoh5, loadPulses for analyzing PacBio sequences. This library contains
@@ -98,6 +98,7 @@
 	${shlibs:Depends},
 	${misc:Depends},
 	libpbdata (= ${binary:Version}),
+	libpbbam,
 Description: tools for handling PacBio hdf5 files
  Blasr_libcpp is a library used by blasr and other executables such as
  samtoh5, loadPulses for analyzing PacBio sequences. This library contains
@@ -128,6 +129,7 @@
 	${misc:Depends},
 	libpbdata (= ${binary:Version}),
 	libpbihdf (= ${binary:Version}),
+	libpbbam,
 Description: tools for aligning PacBio reads to target sequences
  Blasr_libcpp is a library used by blasr and other executables such as
  samtoh5, loadPulses for analyzing PacBio sequences. This library contains

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 #DH_VERBOSE = 1
 include /usr/share/dpkg/default.mk
 
-export NOPBBAM = 1
 export HDF5_INC = /usr/include/hdf5/serial
 export HDF5_LIB = /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
 export GTEST_INC = /usr/include
@@ -12,8 +11,16 @@
 export DEB_CFLAGS_MAINT_APPEND=-O3
 export DEB_CXXFLAGS_MAINT_APPEND=-O3
 
+export LDLIBS += -lpbbam
+
+# Needed for patch hdf5-1.10.1-support.patch
+HDF5_VERSION := $(shell grep 'HDF5 Version' $(HDF5_LIB)/libhdf5.settings | awk '{print $$3}')
+ifeq (yes,$(shell dpkg --compare-versions $(HDF5_VERSION) '>=' 1.10.1 && echo yes))
+export DEB_CPPFLAGS_MAINT_APPEND=-DHAVE_HDF5_1_10_1
+endif
+
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_configure:
 	./configure.py PREFIX=/usr/

## pbseqlib 5.3.1+dfsg

=== CMakeLists.txt ===
##############################################
# CMake build script for the BLASRLIBCPP library
##############################################

cmake_policy(SET CMP0048 NEW)
project(BLASRLIBCPP VERSION 5.3.0 LANGUAGES CXX C)
cmake_minimum_required(VERSION 3.6)

set(ROOT_PROJECT_NAME ${PROJECT_NAME} CACHE STRING "root project name")

# Build type
IF(NOT CMAKE_BUILD_TYPE)
    SET(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: Debug Release Profile RelWithDebInfo ReleaseWithAssert" FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

# Main project paths
set(BLASRLIBCPP_RootDir ${BLASRLIBCPP_SOURCE_DIR})

# Project configuration
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR}/cmake ${CMAKE_MODULE_PATH})

# Fixed order, do not sort or shuffle
include(blasrlibcpp-ccache)
include(blasrlibcpp-releasewithassert)
include(blasrlibcpp-dependencies)
include(blasrlibcpp-compilerflags)
include(blasrlibcpp-gitsha1)

file(WRITE pbdata/LibBlasrConfig.h "")

GET_PROPERTY(BLASRLIBCPP_COMPIPLE_FLAGS GLOBAL PROPERTY BLASRLIBCPP_COMPIPLE_FLAGS_GLOBAL)
GET_PROPERTY(BLASRLIBCPP_LINK_FLAGS GLOBAL PROPERTY BLASRLIBCPP_LINK_FLAGS_GLOBAL)
GET_PROPERTY(HDF5_LINKER_FLAG_LOCAL GLOBAL PROPERTY HDF5_LINKER_FLAG_GLOBAL)

set(LOCAL_LINKER_FLAGS "${HDF5_LINKER_FLAG_LOCAL} ${BLASRLIBCPP_LINK_FLAGS}")

# libcpp library
file(GLOB HDF5_CPP "${BLASRLIBCPP_RootDir}/hdf/*.cpp")
file(GLOB_RECURSE ALIGNMENT_CPP "${BLASRLIBCPP_RootDir}/alignment/*.cpp")
file(GLOB_RECURSE PBDATA_CPP "${BLASRLIBCPP_RootDir}/pbdata/*.cpp")

add_library(libcpp
    ${HDF5_CPP}
    ${ALIGNMENT_CPP}
    ${PBDATA_CPP}
)

target_include_directories(libcpp PUBLIC
    ${BLASRLIBCPP_RootDir}/hdf
    ${BLASRLIBCPP_RootDir}/alignment
    ${BLASRLIBCPP_RootDir}/pbdata
    ${HDF5_INCLUDE_DIRS}
    ${PacBioBAM_INCLUDE_DIRS}
)

target_link_libraries(libcpp ${PacBioBAM_LIBRARIES})

set_target_properties(libcpp PROPERTIES COMPILE_FLAGS ${BLASRLIBCPP_COMPIPLE_FLAGS})
if (LOCAL_LINKER_FLAGS)
    set_target_properties(libcpp PROPERTIES LINK_FLAGS ${LOCAL_LINKER_FLAGS})
endif()

# Tests
enable_testing()

## build gtest
add_subdirectory(${BLASRLIBCPP_RootDir}/googletest/googletest external/gtest)

## build libcpp tests
file(GLOB_RECURSE TEST_CPP "${BLASRLIBCPP_RootDir}/unittest/*/*.cpp")

add_executable(libcpptest ${TEST_CPP})
target_include_directories(libcpptest PUBLIC ${BLASRLIBCPP_RootDir}/unittest)
target_link_libraries(libcpptest gtest_main libcpp hdf5 hdf5_cpp ${ZLIB_LDFLAGS})
add_test(libcpptest libcpptest)

set_target_properties(libcpptest PROPERTIES COMPILE_FLAGS "${BLASRLIBCPP_COMPIPLE_FLAGS}")

if (LOCAL_LINKER_FLAGS)
    set_target_properties(libcpptest PROPERTIES LINK_FLAGS ${LOCAL_LINKER_FLAGS})
endif()

add_custom_target(check_libcpp
    COMMAND libcpptest --gtest_output=xml:${CMAKE_BINARY_DIR}/libcpp-unit.xml
    WORKING_DIRECTORY ${BLASRLIBCPP_RootDir})

=== unittest/alignment/Makefile ===
include ../../rules.mk
include ../defines.mk

SOURCES    = $(wildcard *.cpp) \
		     $(wildcard utils/*.cpp) \
		     $(wildcard datastructures/alignment/*.cpp) \
		     $(wildcard files/*.cpp) \
		     $(wildcard format/*.cpp) 

ifneq ($(origin nopbbam), undefined)
	SOURCES := $(filter-out format/SAMHeaderPrinter_gtest.cpp, $(SOURCES))
endif

OBJECTS    = $(SOURCES:.cpp=.o)

EXE := test-runner

all debug profile: $(EXE)

libblasr_gtest.a: $(OBJECTS)
	$(AR) $(ARFLAGS)c $@ $^

$(EXE): $(OBJECTS)
	$(CXX) $(CXXOPTS) $(CXXFLAGS) $^ $(GTEST_SRC) -o $@ -I$(GTEST_ROOT) $(LIBDIRS) $(LDFLAGS)

$(OBJECTS): %.o: %.cpp
	$(CXX) $(CXXOPTS) $(CXXFLAGS) -c $< -o $@ $(INCDIRS)

gtest: $(EXE)
	./$< --gtest_output=xml:../xml/alignment.xml

clean:
	@find . -type f -name \*.o -delete
	@find . -type f -name \*.d -delete
	@rm -f libblasr_gtest.a $(EXE) ../xml/alignment.xml

=== debian/changelog ===
pbseqlib (5.3.1+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove manual dependencies on libpbbam, version build
    dependency on libpbbam-dev to ensure a proper dependency
    is generated.

 -- Adrian Bunk <bunk@debian.org>  Wed, 06 Feb 2019 09:02:44 +0200

pbseqlib (5.3.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Install pkg-config file for libblasr
  * debhelper 12
  * Standards-Version: 4.3.0
  * Secure URI in copyright format

 -- Andreas Tille <tille@debian.org>  Mon, 28 Jan 2019 11:27:41 +0100

pbseqlib (5.3.1+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * d/watch: Upstream has tagged a release so use proper watch file
  * Exclude binary tools from upstream tarball
  * Set PREFIX_INC=.. to make sure header files will be found
  * cme fix dpkg-control
     - Point Vcs-fields to Salsa
     - Standards-Version: 4.1.4
     - Sequence of fields
     - Formatting
  * check DEB_BUILD_OPTIONS in auto_test override
  * Remove unused lintian override
  * hardening=+all

  [ Gilles Filippini ]
  * Fix build against recent Hdf5 lib

 -- Andreas Tille <tille@debian.org>  Mon, 02 Jul 2018 14:42:21 +0200

=== debian/control ===
Source: pbseqlib
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-exec,
               python,
               zlib1g-dev,
               libhdf5-dev,
               libboost-dev,
               libpbbam-dev (>= 0.18.0+dfsg-1~),
               libhts-dev,
               libgtest-dev <!nocheck>
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/pbseqlib
Vcs-Git: https://salsa.debian.org/med-team/pbseqlib.git
Homepage: https://github.com/PacificBiosciences/blasr_libcpp

Package: libpbseq
Architecture: all
Depends: ${misc:Depends},
         libpbdata (>= ${source:Version}),
         libpbihdf (>= ${source:Version}),
         libblasr  (>= ${source:Version})
Description: library for analyzing PacBio sequencing data
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This is a metapackage that depends on the pbseqlib component shared libraries.

Package: libpbseq-dev
Architecture: all
Section: libdevel
Depends: ${misc:Depends},
         libpbdata-dev (>= ${source:Version}),
         libpbihdf-dev (>= ${source:Version}),
         libblasr-dev  (>= ${source:Version})
Description: library for analyzing PacBio sequencing data (development files)
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This is a metapackage that depends on the pbseqlib component development files.

Package: libpbdata-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpbdata (= ${binary:Version}),
         ${misc:Depends}
Description: tools for handling PacBio sequences (development files)
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the header files and static library for the pbdata
 sublibrary.

Package: libpbdata
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: tools for handling PacBio sequences
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the pbdata sublibrary.

Package: libpbihdf-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libpbihdf (= ${binary:Version}),
         libhdf5-dev,
         ${misc:Depends}
Description: tools for handling PacBio hdf5 files (development files)
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the header files and static library for the hdf
 sublibrary.

Package: libpbihdf
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libpbdata (= ${binary:Version})
Description: tools for handling PacBio hdf5 files
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the hdf sublibrary.

Package: libblasr-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libblasr (= ${binary:Version}),
         libpbdata-dev (= ${binary:Version}),
         ${misc:Depends}
Description: tools for aligning PacBio reads to target sequences (development files)
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the header files and static library for the alignment
 sublibrary.

Package: libblasr
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libpbdata (= ${binary:Version}),
         libpbihdf (= ${binary:Version})
Description: tools for aligning PacBio reads to target sequences
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the alignment sublibrary.

=== debian/rules ===
--- 
+++ 
@@ -19,16 +19,23 @@
 export DEB_CPPFLAGS_MAINT_APPEND=-DHAVE_HDF5_1_10_1
 endif
 
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
 %:
 	dh $@
 
 override_dh_auto_configure:
 	./configure.py PREFIX=/usr/
 
+override_dh_auto_build:
+	dh_auto_build -- PREFIX_INC=..
+
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 # Ignore the return code because some tests
 # require data that is not available in the source distribution.
 	-$(MAKE) -k gtest
+endif
 
 override_dh_auto_install:
 	mkdir -p debian/libpbdata-dev/usr/include/pbseq

## pbseqlib 5.3.3%2Bdfsg

=== debian/changelog ===
pbseqlib (5.3.3+dfsg-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:22:38 +0100

pbseqlib (5.3.3+dfsg-4) unstable; urgency=medium

  * Breaks+Replaces: libblasr (<< 5.3.3)
    Closes: #950093

 -- Andreas Tille <tille@debian.org>  Wed, 29 Jan 2020 15:28:50 +0100

pbseqlib (5.3.3+dfsg-3) unstable; urgency=medium

  * libpbdata-dev: Depends: libpbcopper-dev
    Closes: #949869

 -- Andreas Tille <tille@debian.org>  Sun, 26 Jan 2020 16:50:34 +0100

pbseqlib (5.3.3+dfsg-2) unstable; urgency=medium

  * Standards-Version: 4.5.0
  * Install LibBlasrConfig.h into libblasr-dev package

 -- Andreas Tille <tille@debian.org>  Wed, 22 Jan 2020 17:28:48 +0100

pbseqlib (5.3.3+dfsg-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Convert libpbseq-dev to Architecture: any. (Closes: #940327)

  [ Andreas Tille ]
  * Add myself to Uploaders to have at least one human uploader after
    Afif removed himself.
  * New upstream version
    Closes: #937257
  * debhelper-compat 12
  * Add new Build-Depends needed for testing
  * Standards-Version: 4.4.1
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Build-Depends: libpbcopper-dev
  * C++14
  * Detect hdf5 lib with meson
  * Fix installation
    Closes: #948925
  * Remove unneeded triggers
  * Remove binary packages libpbdata and libpbihdf since these are
    header only libraries now

 -- Andreas Tille <tille@debian.org>  Thu, 16 Jan 2020 21:12:41 +0100

## pbseqlib 5.3.3+dfsg

=== debian/control ===
Source: pbseqlib
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 12),
               meson,
               pkg-config,
               cmake,
               googletest,
               libgtest-dev,
               zlib1g-dev,
               libhdf5-dev,
               libboost-dev,
               libpbbam-dev (>= 0.18.0+dfsg-1~),
               libpbcopper-dev,
               libhts-dev,
               libgtest-dev <!nocheck>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/pbseqlib
Vcs-Git: https://salsa.debian.org/med-team/pbseqlib.git
Homepage: https://github.com/PacificBiosciences/blasr_libcpp

Package: libpbseq
Architecture: all
Depends: ${misc:Depends},
         libblasr  (>= ${source:Version})
Description: library for analyzing PacBio sequencing data
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This is a metapackage that depends on the pbseqlib component shared libraries.

Package: libpbseq-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libpbdata-dev (= ${source:Version}),
         libpbihdf-dev (= ${source:Version}),
         libblasr-dev  (= ${binary:Version})
Description: library for analyzing PacBio sequencing data (development files)
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This is a metapackage that depends on the pbseqlib component development files.

Package: libpbdata-dev
Architecture: all
Section: libdevel
Depends: ${misc:Depends},
         libpbcopper-dev
Description: tools for handling PacBio sequences (development files)
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the header files and static library for the pbdata
 sublibrary.

Package: libpbihdf-dev
Architecture: all
Section: libdevel
Depends: libhdf5-dev,
         ${misc:Depends}
Description: tools for handling PacBio hdf5 files (development files)
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the header files and static library for the hdf
 sublibrary.

Package: libblasr-dev
Architecture: any
Section: libdevel
Depends: libblasr (= ${binary:Version}),
         libpbdata-dev (= ${source:Version}),
         ${misc:Depends}
Breaks: libblasr (<< 5.3.3)
Replaces: libblasr (<< 5.3.3)
Description: tools for aligning PacBio reads to target sequences (development files)
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the header files and static library for the alignment
 sublibrary.

Package: libblasr
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: tools for aligning PacBio reads to target sequences
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the alignment sublibrary.

=== debian/rules ===
--- 
+++ 
@@ -8,27 +8,21 @@
 export GTEST_INC = /usr/include
 export GTEST_SRCDIR = /usr/src/gtest
 
-export DEB_CFLAGS_MAINT_APPEND=-O3
-export DEB_CXXFLAGS_MAINT_APPEND=-O3
+export DEB_CFLAGS_MAINT_APPEND=-O3 -I$(HDF5_INC)
+export DEB_CXXFLAGS_MAINT_APPEND=-O3 -std=c++14
 
 export LDLIBS += -lpbbam
 
 # Needed for patch hdf5-1.10.1-support.patch
 HDF5_VERSION := $(shell grep 'HDF5 Version' $(HDF5_LIB)/libhdf5.settings | awk '{print $$3}')
 ifeq (yes,$(shell dpkg --compare-versions $(HDF5_VERSION) '>=' 1.10.1 && echo yes))
-export DEB_CPPFLAGS_MAINT_APPEND=-DHAVE_HDF5_1_10_1
+export DEB_CPPFLAGS_MAINT_APPEND+=-DHAVE_HDF5_1_10_1 $(DEB_CFLAGS_MAINT_APPEND)
 endif
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@
-
-override_dh_auto_configure:
-	./configure.py PREFIX=/usr/
-
-override_dh_auto_build:
-	dh_auto_build -- PREFIX_INC=..
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com//PacificBiosciences/blasr_libcpp/releases .*/archive/@ANY_VERSION@@ARCHIVE_EXT@

## pbseqlib 5.3.4%2Bdfsg

=== debian/changelog ===
pbseqlib (5.3.4+dfsg-3) unstable; urgency=medium

  * Install LibBlasrConfig.h at correct location

 -- Andreas Tille <tille@debian.org>  Mon, 16 Nov 2020 13:47:40 +0100

pbseqlib (5.3.4+dfsg-2) unstable; urgency=medium

  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Sun, 15 Nov 2020 06:30:43 +0100

pbseqlib (5.3.4+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * More friendly dh_missing installation
  * Use d-shlibs
  * Soname in library package

  [ Helmut Grohne ]
  * Switch all packages to Architecture: any.
    Closes: #972822

 -- Andreas Tille <tille@debian.org>  Fri, 13 Nov 2020 21:16:35 +0100

=== debian/rules ===
--- 
+++ 
@@ -31,18 +31,27 @@
 	-$(MAKE) -k gtest
 endif
 
-override_dh_auto_install:
-	mkdir -p debian/libpbdata-dev/usr/include/pbseq
-	cp -r pbdata debian/libpbdata-dev/usr/include/pbseq/
-	mkdir -p debian/libpbihdf-dev/usr/include/pbseq/
-	cp -r hdf debian/libpbihdf-dev/usr/include/pbseq/
-	mkdir -p debian/libblasr-dev/usr/include/pbseq/
-	cp -r alignment debian/libblasr-dev/usr/include/pbseq/
+override_dh_install:
+	dh_install -p libpbdata-dev usr/include/libblasr/pbdata		usr/include/pbseq
+	dh_install -p libpbihdf-dev usr/include/libblasr/hdf		usr/include/pbseq
+	dh_install -p libblasr-dev  usr/include/libblasr/alignment	usr/include/pbseq
 	find -L debian/*/usr/include/ -type f -regextype posix-egrep -not -regex '.*(hpp|h)$$' -delete
 # defines.mk and build.mk files are symlinks and don't
 # get removed by the previous command
 	find debian/*/usr/include/ -name "*.mk" -delete
-	dh_auto_install
+	d-shlibmove --commit \
+		    --multiarch \
+		    --devunversioned \
+		    --exclude-la \
+		    --override s/libhdf5_serial_cpp103-dev/libhdf5-dev/ \
+		    --override s/libpbbam1.6.0-dev/libpbbam-dev/ \
+		    --override s/libpbcopper1.8.0-dev/libpbcopper-dev/ \
+		    --movedev debian/tmp/usr/include/libblasr usr/include \
+		    --movedev "debian/tmp/usr/lib/*/pkgconfig/*.pc" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
+		    debian/tmp/usr/lib/*/libblasr.so
+	mv debian/libblasr-dev/usr/include/libblasr debian/libblasr-dev/usr/include/pbseq
+	mv debian/libblasr-dev/usr/include/pbseq/libblasr/LibBlasrConfig.h debian/libblasr-dev/usr/include/pbseq
+	dh_install
 
 override_dh_auto_clean:
 	dh_auto_clean

## pbseqlib 5.3.4+dfsg

=== debian/control ===
Source: pbseqlib
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               d-shlibs,
               meson,
               pkg-config,
               cmake,
               googletest,
               libgtest-dev,
               zlib1g-dev,
               libhdf5-dev,
               libboost-dev,
               libpbbam-dev (>= 0.18.0+dfsg-1~),
               libpbcopper-dev,
               libhts-dev,
               libgtest-dev <!nocheck>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/pbseqlib
Vcs-Git: https://salsa.debian.org/med-team/pbseqlib.git
Homepage: https://github.com/PacificBiosciences/blasr_libcpp
Rules-Requires-Root: no

Package: libblasr-dev
Architecture: any
Section: libdevel
Depends: libblasr5.3.4 (= ${binary:Version}),
         libpbdata-dev (= ${binary:Version}),
         ${misc:Depends}
Breaks: libblasr (<< 5.3.3)
Replaces: libblasr (<< 5.3.3)
Description: tools for aligning PacBio reads to target sequences (development files)
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the header files and static library for the alignment
 sublibrary.

Package: libblasr5.3.4
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: tools for aligning PacBio reads to target sequences
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the alignment sublibrary.

Package: libpbseq
Architecture: any
Depends: ${misc:Depends},
         libblasr5.3.4 (= ${binary:Version})
Description: library for analyzing PacBio sequencing data
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This is a metapackage that depends on the pbseqlib component shared libraries.

Package: libpbseq-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libpbdata-dev (= ${binary:Version}),
         libpbihdf-dev (= ${binary:Version}),
         libblasr-dev  (= ${binary:Version})
Description: library for analyzing PacBio sequencing data (development files)
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This is a metapackage that depends on the pbseqlib component development files.

Package: libpbdata-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libpbcopper-dev
Description: tools for handling PacBio sequences (development files)
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the header files and static library for the pbdata
 sublibrary.

Package: libpbihdf-dev
Architecture: any
Section: libdevel
Depends: libhdf5-dev,
         ${misc:Depends}
Description: tools for handling PacBio hdf5 files (development files)
 Blasr_libcpp is a library used by blasr and other executables such as
 samtoh5, loadPulses for analyzing PacBio sequences. This library contains
 three sub-libraries, including pbdata, hdf and alignment.
 .
 This package contains the header files and static library for the hdf
 sublibrary.

## pbseqlib 5.3.5+dfsg

=== debian/changelog ===
pbseqlib (5.3.5+dfsg-11) unstable; urgency=medium

  * Team upload.
  * d/control: build depends on libboost-iostreams-dev. (Closes: #1117415)
  * d/watch: bump to untrackable watch file v5.
  * d/control: drop redundant Rules-Requires-Root: no.

 -- Étienne Mollier <emollier@debian.org>  Sun, 05 Oct 2025 23:39:29 +0200

pbseqlib (5.3.5+dfsg-10) unstable; urgency=medium

  * Team upload.

  [ Nilesh Patra ]
  * Revert "Get Aptly"

  [ Étienne Mollier ]
  * d/control: unconditionally build-depend on GTest. (Closes: #1105136)
  * d/control: declare compliance to standards version 4.7.2.
  * d/patches/*: normalize dep3 headers.

 -- Étienne Mollier <emollier@debian.org>  Mon, 12 May 2025 20:19:16 +0200

pbseqlib (5.3.5+dfsg-9) unstable; urgency=medium

  * Team upload.

  [ Nilesh Patra ]
  * Potential fix for gcc-14
  * Get Aptly

  [ Andreas Tille ]
  * Standards-Version: 4.7.0 (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 10 Dec 2024 11:25:04 +0100

pbseqlib (5.3.5+dfsg-8) unstable; urgency=medium

  * Team upload.
  * d/control: Drop build-dependency on libbz2-dev. Closes: #1086515.

 -- Santiago Vila <sanvila@debian.org>  Thu, 31 Oct 2024 18:45:00 +0100

pbseqlib (5.3.5+dfsg-7) unstable; urgency=medium

  * Team upload.
  * d/control: needs explicit build-dep on libbz2-dev. Closes: #1086368
  * d/control: pkg-config → pkgconf

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 31 Oct 2024 16:43:18 +0100

pbseqlib (5.3.5+dfsg-6) unstable; urgency=medium

  * Team upload.
  * debian/patches/pbbam_2.3.0: adapt to changes in pbbam 2.3.0
    & pbcopper 2.2.0
  * d/control: add missing ${devlibs:Depends} to libblasr-dev
  * Standards-Version: 4.6.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 22 Aug 2023 20:47:40 +0200

pbseqlib (5.3.5+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Annotate gtest with <!nocheck>
  * Add patch to fix FTBFS with gcc-13 (Closes: #1037815)
  * Disable salsa-CI for i386 due to pbbam not being available on 32 bit archs
  * Mark libpbihdf-dev as MA: same

 -- Nilesh Patra <nilesh@debian.org>  Tue, 20 Jun 2023 23:44:20 +0530

pbseqlib (5.3.5+dfsg-4) unstable; urgency=medium

  * Switch watch file to tags
  * d/rules: drop DEB_CXXFLAGS_MAINT_APPEND=-O3 -std=c++14
    Closes: #1006777

 -- Andreas Tille <tille@debian.org>  Tue, 08 Mar 2022 11:42:12 +0100

pbseqlib (5.3.5+dfsg-3) unstable; urgency=medium

  * Rebuild against updated libs
    Closes: #1005428
  * Apply multi-arch hints.
    + libpbdata-dev: Add Multi-Arch: same.

 -- Andreas Tille <tille@debian.org>  Sun, 13 Feb 2022 14:14:47 +0100

pbseqlib (5.3.5+dfsg-2) unstable; urgency=medium

  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Fri, 08 Oct 2021 13:50:37 +0200

pbseqlib (5.3.5+dfsg-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * debian/control: mark 4 binary packages Multi-Arch: same

  [ Andreas Tille ]
  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Bump soversion

 -- Andreas Tille <tille@debian.org>  Thu, 30 Sep 2021 15:08:25 +0200

=== debian/control ===
--- 
+++ 
@@ -6,31 +6,30 @@
 Build-Depends: debhelper-compat (= 13),
                d-shlibs,
                meson,
-               pkg-config,
+               pkgconf,
                cmake,
                googletest,
                libgtest-dev,
                zlib1g-dev,
                libhdf5-dev,
                libboost-dev,
-               libpbbam-dev (>= 0.18.0+dfsg-1~),
-               libpbcopper-dev,
-               libhts-dev,
-               libgtest-dev <!nocheck>
-Standards-Version: 4.5.0
+               libboost-iostreams-dev,
+               libpbbam-dev (>> 2.3.0),
+               libpbcopper-dev (>> 2.2.0),
+               libhts-dev (>= 1.20+ds-2~)
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/pbseqlib
 Vcs-Git: https://salsa.debian.org/med-team/pbseqlib.git
 Homepage: https://github.com/PacificBiosciences/blasr_libcpp
-Rules-Requires-Root: no
 
 Package: libblasr-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: libblasr5.3.4 (= ${binary:Version}),
+Depends: libblasr5.3.5 (= ${binary:Version}),
          libpbdata-dev (= ${binary:Version}),
+         ${devlibs:Depends},
          ${misc:Depends}
-Breaks: libblasr (<< 5.3.3)
-Replaces: libblasr (<< 5.3.3)
 Description: tools for aligning PacBio reads to target sequences (development files)
  Blasr_libcpp is a library used by blasr and other executables such as
  samtoh5, loadPulses for analyzing PacBio sequences. This library contains
@@ -39,9 +38,10 @@
  This package contains the header files and static library for the alignment
  sublibrary.
 
-Package: libblasr5.3.4
+Package: libblasr5.3.5
+Architecture: any
+Multi-Arch: same
 Section: libs
-Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: tools for aligning PacBio reads to target sequences
@@ -53,8 +53,9 @@
 
 Package: libpbseq
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
-         libblasr5.3.4 (= ${binary:Version})
+         libblasr5.3.5 (= ${binary:Version})
 Description: library for analyzing PacBio sequencing data
  Blasr_libcpp is a library used by blasr and other executables such as
  samtoh5, loadPulses for analyzing PacBio sequences. This library contains
@@ -64,6 +65,7 @@
 
 Package: libpbseq-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
          libpbdata-dev (= ${binary:Version}),
@@ -78,6 +80,7 @@
 
 Package: libpbdata-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
          libpbcopper-dev
@@ -91,6 +94,7 @@
 
 Package: libpbihdf-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libhdf5-dev,
          ${misc:Depends}
@@ -101,4 +105,3 @@
  .
  This package contains the header files and static library for the hdf
  sublibrary.
-

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 export GTEST_SRCDIR = /usr/src/gtest
 
 export DEB_CFLAGS_MAINT_APPEND=-O3 -I$(HDF5_INC)
-export DEB_CXXFLAGS_MAINT_APPEND=-O3 -std=c++14
 
 export LDLIBS += -lpbbam

=== debian/watch ===
Version: 5
Untrackable: upstream vanished.

Source: https://github.com//PacificBiosciences/blasr_libcpp/tags
Matching-Pattern: .*/@ANY_VERSION@@ARCHIVE_EXT@
Compression: xz
Dversionmangle: s/\+dfsg//g
Repack: yes
Repacksuffix: +dfsg
